/*
cROM.v (automatically generated by crom.py

Copyright (C) 2007  Philip A. Covington, N8VB

The author can be reached at:
p.covington@gmail.com

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the
Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
Boston, MA  02110-1301, USA.
*/

module cROM(clk, addr, data, reset);

	parameter WIDTH = 24;
	parameter ADDR_SIZE = 8;
	
	input clk;
	input [ADDR_SIZE-1:0] addr;
	input reset;
	output signed [WIDTH-1:0] data;
	
	reg [WIDTH-1:0] data;

	always @(posedge clk) begin
		if (reset)
			data <= 0;
		else begin
			case(addr)
				8'd0: data <= 24'sh00001E;
				8'd1: data <= 24'sh00000E;
				8'd2: data <= 24'shFFFFDB;
				8'd3: data <= 24'shFFFFF3;
				8'd4: data <= 24'sh000028;
				8'd5: data <= 24'sh000024;
				8'd6: data <= 24'shFFFFC5;
				8'd7: data <= 24'shFFFFC9;
				8'd8: data <= 24'sh000041;
				8'd9: data <= 24'sh00005B;
				8'd10: data <= 24'shFFFFB5;
				8'd11: data <= 24'shFFFF7D;
				8'd12: data <= 24'sh000048;
				8'd13: data <= 24'sh0000BB;
				8'd14: data <= 24'shFFFFC2;
				8'd15: data <= 24'shFFFF06;
				8'd16: data <= 24'sh000022;
				8'd17: data <= 24'sh000144;
				8'd18: data <= 24'sh00000E;
				8'd19: data <= 24'shFFFE6D;
				8'd20: data <= 24'shFFFFA8;
				8'd21: data <= 24'sh0001E6;
				8'd22: data <= 24'sh0000C1;
				8'd23: data <= 24'shFFFDCC;
				8'd24: data <= 24'shFFFEB1;
				8'd25: data <= 24'sh000276;
				8'd26: data <= 24'sh000203;
				8'd27: data <= 24'shFFFD5F;
				8'd28: data <= 24'shFFFD1F;
				8'd29: data <= 24'sh0002AA;
				8'd30: data <= 24'sh0003E8;
				8'd31: data <= 24'shFFFD7D;
				8'd32: data <= 24'shFFFAEC;
				8'd33: data <= 24'sh00021C;
				8'd34: data <= 24'sh00065E;
				8'd35: data <= 24'shFFFE98;
				8'd36: data <= 24'shFFF844;
				8'd37: data <= 24'sh000056;
				8'd38: data <= 24'sh00091C;
				8'd39: data <= 24'sh000127;
				8'd40: data <= 24'shFFF595;
				8'd41: data <= 24'shFFFCE6;
				8'd42: data <= 24'sh000B8F;
				8'd43: data <= 24'sh00058A;
				8'd44: data <= 24'shFFF395;
				8'd45: data <= 24'shFFF786;
				8'd46: data <= 24'sh000CDB;
				8'd47: data <= 24'sh000BE4;
				8'd48: data <= 24'shFFF343;
				8'd49: data <= 24'shFFF042;
				8'd50: data <= 24'sh000BE8;
				8'd51: data <= 24'sh0013F0;
				8'd52: data <= 24'shFFF5C9;
				8'd53: data <= 24'shFFE7A3;
				8'd54: data <= 24'sh000784;
				8'd55: data <= 24'sh001CDA;
				8'd56: data <= 24'shFFFC50;
				8'd57: data <= 24'shFFDECD;
				8'd58: data <= 24'shFFFEA1;
				8'd59: data <= 24'sh00252A;
				8'd60: data <= 24'sh0007BA;
				8'd61: data <= 24'shFFD789;
				8'd62: data <= 24'shFFF09B;
				8'd63: data <= 24'sh002AC9;
				8'd64: data <= 24'sh001855;
				8'd65: data <= 24'shFFD433;
				8'd66: data <= 24'shFFDD90;
				8'd67: data <= 24'sh002B28;
				8'd68: data <= 24'sh002D87;
				8'd69: data <= 24'shFFD77D;
				8'd70: data <= 24'shFFC6A8;
				8'd71: data <= 24'sh00238A;
				8'd72: data <= 24'sh00458B;
				8'd73: data <= 24'shFFE411;
				8'd74: data <= 24'shFFAE4C;
				8'd75: data <= 24'sh001173;
				8'd76: data <= 24'sh005D51;
				8'd77: data <= 24'shFFFC19;
				8'd78: data <= 24'shFF9833;
				8'd79: data <= 24'shFFF331;
				8'd80: data <= 24'sh007081;
				8'd81: data <= 24'sh0020AF;
				8'd82: data <= 24'shFF8946;
				8'd83: data <= 24'shFFC866;
				8'd84: data <= 24'sh0079B8;
				8'd85: data <= 24'sh005154;
				8'd86: data <= 24'shFF8749;
				8'd87: data <= 24'shFF9286;
				8'd88: data <= 24'sh0072F0;
				8'd89: data <= 24'sh008B84;
				8'd90: data <= 24'shFF985F;
				8'd91: data <= 24'shFF553A;
				8'd92: data <= 24'sh00560F;
				8'd93: data <= 24'sh00CA6B;
				8'd94: data <= 24'shFFC277;
				8'd95: data <= 24'shFF168A;
				8'd96: data <= 24'sh001D6F;
				8'd97: data <= 24'sh0106C6;
				8'd98: data <= 24'sh000AD4;
				8'd99: data <= 24'shFEDEF0;
				8'd100: data <= 24'shFFC43C;
				8'd101: data <= 24'sh0136E2;
				8'd102: data <= 24'sh0075E1;
				8'd103: data <= 24'shFEB964;
				8'd104: data <= 24'shFF4652;
				8'd105: data <= 24'sh014E67;
				8'd106: data <= 24'sh0107C9;
				8'd107: data <= 24'shFEB3E3;
				8'd108: data <= 24'shFE9EF2;
				8'd109: data <= 24'sh013D2B;
				8'd110: data <= 24'sh01C6D5;
				8'd111: data <= 24'shFEE1BF;
				8'd112: data <= 24'shFDC49F;
				8'd113: data <= 24'sh00EACC;
				8'd114: data <= 24'sh02C2AC;
				8'd115: data <= 24'shFF6421;
				8'd116: data <= 24'shFC9BF7;
				8'd117: data <= 24'sh0025DB;
				8'd118: data <= 24'sh042DCC;
				8'd119: data <= 24'sh008D50;
				8'd120: data <= 24'shFAC13D;
				8'd121: data <= 24'shFE5191;
				8'd122: data <= 24'sh06E448;
				8'd123: data <= 24'sh03C4E5;
				8'd124: data <= 24'shF5E0B7;
				8'd125: data <= 24'shF6F625;
				8'd126: data <= 24'sh15515E;
				8'd127: data <= 24'sh374F48;
				8'd128: data <= 24'sh374F48;
				8'd129: data <= 24'sh15515E;
				8'd130: data <= 24'shF6F625;
				8'd131: data <= 24'shF5E0B7;
				8'd132: data <= 24'sh03C4E5;
				8'd133: data <= 24'sh06E448;
				8'd134: data <= 24'shFE5191;
				8'd135: data <= 24'shFAC13D;
				8'd136: data <= 24'sh008D50;
				8'd137: data <= 24'sh042DCC;
				8'd138: data <= 24'sh0025DB;
				8'd139: data <= 24'shFC9BF7;
				8'd140: data <= 24'shFF6421;
				8'd141: data <= 24'sh02C2AC;
				8'd142: data <= 24'sh00EACC;
				8'd143: data <= 24'shFDC49F;
				8'd144: data <= 24'shFEE1BF;
				8'd145: data <= 24'sh01C6D5;
				8'd146: data <= 24'sh013D2B;
				8'd147: data <= 24'shFE9EF2;
				8'd148: data <= 24'shFEB3E3;
				8'd149: data <= 24'sh0107C9;
				8'd150: data <= 24'sh014E67;
				8'd151: data <= 24'shFF4652;
				8'd152: data <= 24'shFEB964;
				8'd153: data <= 24'sh0075E1;
				8'd154: data <= 24'sh0136E2;
				8'd155: data <= 24'shFFC43C;
				8'd156: data <= 24'shFEDEF0;
				8'd157: data <= 24'sh000AD4;
				8'd158: data <= 24'sh0106C6;
				8'd159: data <= 24'sh001D6F;
				8'd160: data <= 24'shFF168A;
				8'd161: data <= 24'shFFC277;
				8'd162: data <= 24'sh00CA6B;
				8'd163: data <= 24'sh00560F;
				8'd164: data <= 24'shFF553A;
				8'd165: data <= 24'shFF985F;
				8'd166: data <= 24'sh008B84;
				8'd167: data <= 24'sh0072F0;
				8'd168: data <= 24'shFF9286;
				8'd169: data <= 24'shFF8749;
				8'd170: data <= 24'sh005154;
				8'd171: data <= 24'sh0079B8;
				8'd172: data <= 24'shFFC866;
				8'd173: data <= 24'shFF8946;
				8'd174: data <= 24'sh0020AF;
				8'd175: data <= 24'sh007081;
				8'd176: data <= 24'shFFF331;
				8'd177: data <= 24'shFF9833;
				8'd178: data <= 24'shFFFC19;
				8'd179: data <= 24'sh005D51;
				8'd180: data <= 24'sh001173;
				8'd181: data <= 24'shFFAE4C;
				8'd182: data <= 24'shFFE411;
				8'd183: data <= 24'sh00458B;
				8'd184: data <= 24'sh00238A;
				8'd185: data <= 24'shFFC6A8;
				8'd186: data <= 24'shFFD77D;
				8'd187: data <= 24'sh002D87;
				8'd188: data <= 24'sh002B28;
				8'd189: data <= 24'shFFDD90;
				8'd190: data <= 24'shFFD433;
				8'd191: data <= 24'sh001855;
				8'd192: data <= 24'sh002AC9;
				8'd193: data <= 24'shFFF09B;
				8'd194: data <= 24'shFFD789;
				8'd195: data <= 24'sh0007BA;
				8'd196: data <= 24'sh00252A;
				8'd197: data <= 24'shFFFEA1;
				8'd198: data <= 24'shFFDECD;
				8'd199: data <= 24'shFFFC50;
				8'd200: data <= 24'sh001CDA;
				8'd201: data <= 24'sh000784;
				8'd202: data <= 24'shFFE7A3;
				8'd203: data <= 24'shFFF5C9;
				8'd204: data <= 24'sh0013F0;
				8'd205: data <= 24'sh000BE8;
				8'd206: data <= 24'shFFF042;
				8'd207: data <= 24'shFFF343;
				8'd208: data <= 24'sh000BE4;
				8'd209: data <= 24'sh000CDB;
				8'd210: data <= 24'shFFF786;
				8'd211: data <= 24'shFFF395;
				8'd212: data <= 24'sh00058A;
				8'd213: data <= 24'sh000B8F;
				8'd214: data <= 24'shFFFCE6;
				8'd215: data <= 24'shFFF595;
				8'd216: data <= 24'sh000127;
				8'd217: data <= 24'sh00091C;
				8'd218: data <= 24'sh000056;
				8'd219: data <= 24'shFFF844;
				8'd220: data <= 24'shFFFE98;
				8'd221: data <= 24'sh00065E;
				8'd222: data <= 24'sh00021C;
				8'd223: data <= 24'shFFFAEC;
				8'd224: data <= 24'shFFFD7D;
				8'd225: data <= 24'sh0003E8;
				8'd226: data <= 24'sh0002AA;
				8'd227: data <= 24'shFFFD1F;
				8'd228: data <= 24'shFFFD5F;
				8'd229: data <= 24'sh000203;
				8'd230: data <= 24'sh000276;
				8'd231: data <= 24'shFFFEB1;
				8'd232: data <= 24'shFFFDCC;
				8'd233: data <= 24'sh0000C1;
				8'd234: data <= 24'sh0001E6;
				8'd235: data <= 24'shFFFFA8;
				8'd236: data <= 24'shFFFE6D;
				8'd237: data <= 24'sh00000E;
				8'd238: data <= 24'sh000144;
				8'd239: data <= 24'sh000022;
				8'd240: data <= 24'shFFFF06;
				8'd241: data <= 24'shFFFFC2;
				8'd242: data <= 24'sh0000BB;
				8'd243: data <= 24'sh000048;
				8'd244: data <= 24'shFFFF7D;
				8'd245: data <= 24'shFFFFB5;
				8'd246: data <= 24'sh00005B;
				8'd247: data <= 24'sh000041;
				8'd248: data <= 24'shFFFFC9;
				8'd249: data <= 24'shFFFFC5;
				8'd250: data <= 24'sh000024;
				8'd251: data <= 24'sh000028;
				8'd252: data <= 24'shFFFFF3;
				8'd253: data <= 24'shFFFFDB;
				8'd254: data <= 24'sh00000E;
				8'd255: data <= 24'sh00001E;
				default: data <= 24'sh0;
			endcase
		end
	end

endmodule
